import {GetCpuUsage} from "frontend/wailsjs/go/system/InfoUtils";
import {computed, reactive, ref, watch} from "vue";
import {asyncComputed} from "@vueuse/core";

let cpu = {
    usage: {
        data: ref([]),
        interval: null
    }
}

export function getCpuUsage(){
    clearInterval(cpu.usage.interval)

    function loop(){
        cpu.usage.interval = setTimeout(()=>{
            GetCpuUsage().then(result=>cpu.usage.data.value = result)
            loop()
        },1000)
    }

    loop()
    return computed(()=>cpu.usage.data.value)
}
